---
search:
  tags:
    - Diagnostics
    - POST
seo:
  description: >-
    Dispatch a diagnostic check against a team's box. Reference for the POST
    /api/admin/diagnostics endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Dispatch a diagnostic check against a team's box
  badge: POST
title: Dispatch a diagnostic check against a team's box
type: openapi-operation
---
`POST /api/admin/diagnostics`

**Request body** (`application/json`, required)

- `teamId` (string, required)
- `serviceId` (string, required)
- `storeIndex` (integer | null)
- `operation` (string, required)

Request body example:

```json
{
  "teamId": "string",
  "serviceId": "string",
  "storeIndex": 0,
  "operation": "check_service"
}
```

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `409` — Response for status 409
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "message": "string",
  "id": "string",
  "teamId": "string",
  "idempotencyKey": "string",
  "startedAt": "2019-08-24T14:15:22Z",
  "status": "pending",
  "requestedBy": "string",
  "deadlineAt": "2019-08-24T14:15:22Z",
  "dispatchedAt": "2019-08-24T14:15:22Z",
  "finishedAt": "2019-08-24T14:15:22Z",
  "serviceId": "string",
  "storeId": "string",
  "operation": "put_flag",
  "durationMs": 0,
  "withdrawnAt": "2019-08-24T14:15:22Z",
  "withdrawalAckedAt": "2019-08-24T14:15:22Z",
  "withdrawalDeliveries": 0,
  "withdrawalAbandonedAt": "2019-08-24T14:15:22Z",
  "stdout": "string",
  "stderr": "string"
}
```
